/* Install.cmd for Thinkpad volume control */

rc = RxFuncAdd('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs')
if rc = 0 then call SysLoadFuncs

/* Abfrage von Bootdrive, MMOS2PATH, und XCENTERPATH */
instflag=0
XWPDir = SysIni('USER', 'XWorkplace', 'XFolderPath')

/* Bootdrive abfragen */
csp = Value("COMSPEC",,"OS2ENVIRONMENT")
bootdir = FILESPEC("D", csp)

/* MMOS2 Dir abfragenn */
Call SysFileTree bootdir||"\MMOS2","mmd","DO"
do i=1 to mmd.0
mmdir=mmd.i
end

Do until answer = "Y" 

	if answer = "N" then do
		say
		say "Please enter the bootdrive letter eg c:   " 
		say
		say "bootdrive"	
		pull bootdir
		if length(bootdrive) > 2 then bootdrive = Delstr("bootdrive",3)	
		say
		say "Please enter the the MMOS2 dir eg c:\mmos2" 
		say
		say "MMOS2 Path"
		pull mmdir
		if lastpos("\",mmdir) > 4 then mmdir=delstr(mmdir,lastpos("\",mmdir))
	end    

	Say
	say "bootdrive is            " bootdir 
	say "XWorkplace is installed " XWPDir
	say "MMOS/2 Verzeichniss ist " mmdir
	say "is this corect  (y/n)   " 
	say
	say "Y/N" 

 	PULL answer
end

Call SysFileTree "*.*","instd","DO"

do i=1 to instd.0
	instd=instd.i
end
instdpos=lastpos("\",instd)

instd2=substr(instd,1,instdpos)

a=LENGTH(XWPDir)
b=SUBSTR(XWPDir,1,a-1)
XWPDir2=b

/* Abfrage der UNIMIX Version */
address cmd 

a = "unimix.exe -dev | RxQUEUE" 
a
i=1
DO i=1 To 5
PULL uniis.i 
say uniis.i 
END
Say uniis.1
rc=Syssleep(2)

if uniis.1 = "COMMAND LINE MIXER FOR UNIAUD. VERSION 0.05" THEN DO
    /*kopiere die cmd Dateien aus UNI005 nach cmdfiles"' */
    copycmd="copy "instd2||"UNI005\*.* "instd2"cmdfiles\*.*"
    say copycmd
pull
    address cmd copycmd
     END
if uniis.1 = "COMMAND LINE MIXER FOR UNIAUD32. VERSION 1.1 " THEN DO
    /* kopiere die cmd Files aus UNI101 nach cmdfiles"*/
    copycmd="copy "instd2||"UNI101\*.* "instd2"cmdfiles\*.*"
    say copycmd
pull
	address cmd copycmd
     END


/* copy vorbereiten */

cmdfilescopy="copy "instd2||"CMDFILES\*.cmd "||mmdir"\*.cmd"
icofilescopy="xcopy "instd2||"ICON\*.ico "||mmdir"\ICON\*.ico /S /E"
wtxtfilescopy="copy "instd2||"WIDGETTXT\*.txt "||XWPDir2"\PLUGINS\XCENTER\*.txt"
readmecopy="copy "instd2||"vcread*.* "||XWPDir2"\PLUGINS\XCENTER\*.*"

/* Dateien die angepasst werden */
editfile1=instd2"\widgettxt\volume_doubleclickaction.txt"
editfile2=instd2"\widgettxt\volumewidget.txt"

/* bearbeiten der Dateien */

/* bearbeite file doubleclickaction */
do while Lines(editfile1)
   zeile = Linein(editfile1)
      if wordpos("VPath",zeile) \= 0 then do 
	newzeile="VPath = "'"'mmdir'"'
	call Lineout testdat,newzeile
	zeile = Linein(editfile1)			
      end	
      call Lineout testdat,zeile 
end
call charout testdat


/* bearbeite File Monitor widget */
do while Lines(editfile2)
   zeile = Linein(editfile2)
      if wordpos("VPath",zeile) \= 0 then do 
      	newzeile="VPath = "'"'mmdir'"'
      	call Lineout testdat2,newzeile
      	zeile = Linein(editfile2)			
      end		
call Lineout testdat2,zeile 
end
call charout testdat2


xa = "copy "||instd2||"testdat "||instd2"Widgettxt\volume_doubleclickaction2.txt"
xb = "copy "||instd2||"testdat2 "||instd2"Widgettxt\volume_widget2.txt"

address cmd xa
address cmd xb
address cmd "del testda*"

/* create Folder on Desktop */

foldoption="OBJECTID=<VCONTROL>"
if SysCreateObject("WPFolder","Volumewidget","<WP_DESKTOP>",foldoption,"R") THEN
say "folder created"

mmdirstring='"'mmdir'"'
say mmdirstring

widgetpath=bootdir"\Desktop\Volumewidget\"

/* widget configuration */
org='"C:\MMOS2"'
neu=mmdirstring
kette1=linein(".\widget\volume")
kette=linein(".\widget\volume")
wordnr = wordpos(org,kette)
res = ""
do while wordnr \= 0
   charpos =Wordindex(kette, wordnr)
   res = res || substr(kette, 1, charpos -1)
   res = res || neu || " "
   kette = DELWORD(kette, wordnr,1)
   kette = substr(kette, charpos)
   wordnr = Wordpos(org, kette)
end
res = res || kette
rc = lineout(widgetpath"volwidget",kette1)
rc = Lineout(widgetpath"volwidget",res)
call charout  widgetpath||volwidget 

Say "widget created"
Call SysSleep(2)
say
say
Say "Ready for install and copy files"
say
Say "start     (y/n)"

Say "Y/N"
pull answer

if answer = "Y" then do
	address cmd cmdfilescopy
	address cmd icofilescopy
	address cmd wtxtfilescopy
	address cmd readmecopy
end
rc=syscls()

copycmd="copy "instd2||"volwidget "||bootdir"\Desktop\Volumewidget\volwidget"
address cmd copycmd

copycmd="copy "instd2||"vcread*.* "||bootdir"\Desktop\Volumewidget\*.*"
address cmd copycmd

copycmd="copy "instd2||"whats*.* "||bootdir"\Desktop\Volumewidget\*.*"
address cmd copycmd

copycmd="copy "instd2||"widgettxt\*2.txt "||bootdir"\Desktop\Volumewidget\*.*"
address cmd copycmd

rc=syscls()
say ""
say "Installation complete"
say ""
say "objects created"
say ""
say "there is a new folder on the Desktop"
say ""
say "with sample widget scripts and"
say ""
say "the volume widget"
say ""
say "use CTRL RMB to drag it to the eCenter/xCenter"
say "or copy the widget txt file into a rexx monitor widget"
say "Use 27 pixel for monitor widht and a refresh rate 2000"
say "Don't forget to set the 'objecthotkeys' "
say ""
say "press enter to to leave this screen"
exit
end
else
Say
Say "Installation stoped "
Say "No files are copyed"
Say "leave programm"
Say " bye "